from parallels.core.utils.entity import Entity


class DomainService(Entity):
    def __init__(self, domain_service_id, domain_id, service_type, ip_address_ids, parameters_id):
        self._domain_service_id = domain_service_id
        self._domain_id = domain_id
        self._service_type = service_type
        self._ip_address_ids = ip_address_ids
        self._parameters_id = parameters_id

    @property
    def domain_service_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_service_id

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def service_type(self):
        """
        :rtype: str | unicode
        """
        return self._service_type

    @property
    def ip_address_ids(self):
        """
        :rtype: list[str | unicode]
        """
        return self._ip_address_ids

    @property
    def parameters_id(self):
        """
        :rtype: str | unicode
        """
        return self._parameters_id
